// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "DawnPokerGame.hpp"

using namespace Dawn;

DawnGame::DawnGame(std::weak_ptr<DawnHost> host) :
  renderManager(weak_from_this())
{
  this->host = host;
}

int32_t DawnGame::init() {
  this->renderManager.init();

  this->scene = std::make_unique<Scene>(weak_from_this());

  return DAWN_GAME_INIT_RESULT_SUCCESS;
}

int32_t DawnGame::update(float_t delta) {
  this->renderManager.update();

  return DAWN_GAME_UPDATE_RESULT_SUCCESS;
}

DawnGame::~DawnGame() {
  
}